Lazarus

Programming => Packages and Libraries => Lazarus Extra Components => Topic started by: Guest MATavares on September 14, 2005, 09:57:01 pm

Title: LazReport Install Errors
Post by: Guest MATavares on September 14, 2005, 09:57:01 pm
Hi people,

I´m novice in FPC and Lazarus and I´m trying install Lazreport in a Windows XP machine but I´m receiving error messages in LR_Class.pas compilations. The erros are above:

Line 6757
Incompatible type for arg no. 1. Got "AnsiString", expected "TComponent"

Line 6806
Identifier idents no member "CreateClean"

Line 6806
Syntax error. ";" expected but "(" found.


Thanks
Title: RE: LazReport Install Errors
Post by: jesusr on September 15, 2005, 05:52:24 am
You will need at least fpc 2.0.0 to compile lazreport.
Title: RE: LazReport Install Errors
Post by: Vincent Snijders on September 15, 2005, 09:43:18 am
If you are using fpc 2.0.1 or fpc 2.1.1 you need to have a recent (after Tue Aug 23 04:29:40 2005 UTC) version of LazReport.
Title: LazReport Install Errors
Post by: Anonymous on October 06, 2005, 04:21:49 pm
Hi people again!


Thanks!!!
Title: LazReport Install Errors
Post by: Anonymous on October 10, 2005, 05:04:57 pm
Hi there !

I've tried to install the latest available Lazreport from lazreport.sourceforge.net, but I've got the same compile problems like Guest MATavares has. You said that I should use "after Tue Aug 23 04:29:40 2005 UTC) version of LazReport" but I can't find it :( From where can I download it ?

Zoltán
Title: LazReport Install Errors
Post by: Anonymous on October 14, 2005, 12:55:57 pm
Hi!

I'm trying Lazarus-0.9.10-20051002-win32.exe, and I'm trying to install lazreport-20050605.tar.gz, latest available packages on sourceforge. I'm getting the same error, so tell us please where can we get that "after Tue Aug 23 04:29:40 2005 UTC) version of LazReport".

Thanks in advance.
Title: LazReport Install Errors
Post by: jctaborda on October 14, 2005, 01:13:03 pm
Hi, i think that you should follow the instructions given in the cvs link in the bottom left of lazreport home page to get the latest cvs
Title: LazReport Install Errors
Post by: Vincent Snijders on October 14, 2005, 02:14:14 pm
If there is no LazReport release after that date, the only way you can get is from cvs. See here (http://sourceforge.net/cvs/?group_id=118961) for more info.
Title: LazReport Install Errors
Post by: grimjaw on October 27, 2005, 05:28:04 pm
LazReports depends on an older FPC version of xmlcfg.pas that uses different parameters for the constructor and also depends on a CreateClean constructor that is no longer defined.  This is true even for the CVS version.  Until LazReports is updated to use the new version of xmlcfg.pas, it may be possible to use laz_xmlcfg.pas in the \components\codetools subdirectory, but this may break other xml code based on the newer version.
Title: RE: LazReport Install Errors
Post by: Anonymous on October 27, 2005, 08:18:13 pm
Can you give the error message you get with fpc 2.0.1? I thought I fixed that issue and sent the patch to Jesus Reyes, who committed it to LazReports CVS version.

So please, give error message and line number, so I can check again.
Title: Re: RE: LazReport Install Errors
Post by: Vincent Snijders on October 27, 2005, 08:22:09 pm
Quote from: "Vincent"
Can you give the error message you get with fpc 2.0.1? I thought I fixed that issue and sent the patch to Jesus Reyes, who committed it to LazReports CVS version.

So please, give error message and line number, so I can check again.

Got logged out.  :(
Title: RE: Re: RE: LazReport Install Errors
Post by: Anonymous on October 28, 2005, 02:07:53 pm
LR_Class.pas line 6757

XML := TXMLConfig.Create(FName);

error: "Incompatable type for arg no. 1: Got "AnsiString", expected "TComponent""

As noted previously, xmlcfg.pas defines TXMLConfig.Create with a TComponent parameter now.

LR_Class.pas line 6806

XML := TXMLConfig.CreateClean(FName);

error: "identifier idents no member "CreateClean""

xmlcfg.pas no longer has a member function "CreateClean"

Using Lazarus 0.9.10 Beta and Lazreport 06/05/05 from cvs.  Uses whatever version of fpc that is included w/ the Laz 0.9.10 win32 installation.  I assume that is fpc 2.0.1 but there is no obvious version information with the installed fpc.

Thanks,
Grimjaw
Title: Re: RE: Re: RE: LazReport Install Errors
Post by: Vincent Snijders on October 28, 2005, 02:17:04 pm
Quote from: "Anonymous"

Using Lazarus 0.9.10 Beta and Lazreport 06/05/05 from cvs.


Lazreport on 06/05/05 could not contain the changes needed for fpc 2.0.1, because those changes were not yet made.

By CVS, I mean you can't use the provided tar.gz, but have to use a cvs client to get cvs version. Details can be found here (http://sourceforge.net/cvs/?group_id=118961).

It must include these changes:
http://cvs.sourceforge.net/viewcvs.py/lazreport/lazreport/source/lr_class.pas?r1=1.39&r2=1.40
Title: RE: Re: RE: Re: RE: LazReport Install Errors
Post by: Anonymous on October 28, 2005, 04:21:08 pm
Thanks for the diff info.  I should have just said Lazreport 6/5/05.  Do you know how the author of Lazreport prefers to recieve bug reports and change requests?  The Lazreport page does not list any forums, contact me info, etc.

Thanks,
Grimjaw
Title: Re: RE: Re: RE: Re: RE: LazReport Install Errors
Post by: jesusr on October 31, 2005, 10:23:28 pm
Quote from: "Anonymous"
Thanks for the diff info.  I should have just said Lazreport 6/5/05.  Do you know how the author of Lazreport prefers to recieve bug reports and change requests?  The Lazreport page does not list any forums, contact me info, etc.

Thanks,
Grimjaw


Please use the lazarus bug tracking system, when submiting bugs for lazreport, please select project "packages" (the combobox at the top of the package" then in the field Assign To, choose "Jesus", I will take those bug reports.
Title: RE: Re: RE: Re: RE: Re: RE: LazReport Install Errors
Post by: Anonymous on November 14, 2005, 12:36:39 am
@Vincent thank you.
I'm trying Lazarus-0.9.11-beta, and lazreport-20050605.tar.gz. I'm getting the same error. But when I updated code, then all works fine.
Thanks.
Title: RE: Re: RE: Re: RE: Re: RE: LazReport Install Errors
Post by: Anonymous on December 30, 2005, 04:49:57 am
I have a problem when i'm using lazreport. When I'm preview my report it's ok, but if i clik print button and ok, i'll have an error that says ' Illegal character in format string'.
I'm using  lazreport-20050605.tar.gz.
Title: Re: RE: Re: RE: Re: RE: Re: RE: LazReport Install Errors
Post by: jesusr on December 30, 2005, 07:42:44 am
Quote from: "Anonymous"
I have a problem when i'm using lazreport. When I'm preview my report it's ok, but if i clik print button and ok, i'll have an error that says ' Illegal character in format string'.
I'm using  lazreport-20050605.tar.gz.

It would be helpful to know on what file and line of code the error happens. Anyway the package has not been updated in some time, and might have problems. Its recommended to use the most recent LazReport version (obtained from CVS) and that would also need a fairly recent Lazarus version (revision 8348 or newer would be fine) due printers and font support improvement.
Title: RE: Re: RE: Re: RE: Re: RE: Re: RE: LazReport Install Errors
Post by: Anonymous on December 30, 2005, 12:33:19 pm
I'ml change lazreport package on XMLCfg to Laz_XMLCfg (I've  not changed, have trouble got AnsiString). I'm also removed LR_PGrid from the package (cause have an error on Line 11,34, i don't understand, why remarkable notes have an error).
I'm also use from CVS but it's same.
I'm running Fedora 3, my rpm lazarus package is fpcsrc-2.0.1-050923,fpc-2.0.1-050923, and lazarus-0.9.10-0
Title: RE: Re: RE: Re: RE: Re: RE: Re: RE: LazReport Install Errors
Post by: Anonymous on December 31, 2005, 01:37:10 am
I'm change lazreport package on XMLCfg to Laz_XMLCfg (If not changed, have trouble got AnsiString). I'm also changed in LR_Class in procedure or variable DoFunction in var p1,p2,p3 from Variant to String (if not changed, have an error int trim(p1),trim(p2),trim(p3)) and removed LR_PGrid from the package (cause have an error on Line 11,34, i don't understand, why remarkable notes have an error).
I'm also use from CVS but it's same.
I'm running Fedora 3, my rpm lazarus package is fpcsrc-2.0.1-050923,fpc-2.0.1-050923, and lazarus-0.9.10-0
Title: RE: Re: RE: Re: RE: Re: RE: LazReport Install Errors
Post by: Anonymous on January 01, 2006, 09:55:53 pm
I installed lazarus snapshot : Lazarus-0.9.11-20051226-win32.exe
and Lazreport from cvs when I compiled Lazreport component I got this error :

C:\lazarus\components\lazreport\source\LR_Intrp.pas(104,51) Error: Duplicate identifier "Value"
C:\lazarus\components\lazreport\source\LR_Intrp.pas(104,51) Hint: Identifier already defined in LR_Intrp.pas at line 51
C:\lazarus\components\lazreport\source\LR_Intrp.pas(115,3) Hint: Local variable "p" does not seem to be initialized
C:\lazarus\components\lazreport\source\LR_Intrp.pas(135,49) Error: Duplicate identifier "Value"
C:\lazarus\components\lazreport\source\LR_Intrp.pas(135,49) Hint: Identifier already defined in LR_Intrp.pas at line 51
C:\lazarus\components\lazreport\source\LR_Intrp.pas(148,31) Error: Duplicate identifier "Name"
C:\lazarus\components\lazreport\source\LR_Intrp.pas(148,31) Hint: Identifier already defined in LR_Intrp.pas at line 52
C:\lazarus\components\lazreport\source\LR_Intrp.pas(827) Fatal: There were 3 errors compiling module, stopping.

Eny one who can help me ?

Per
Title: RE: Re: RE: Re: RE: Re: RE: LazReport Install Errors
Post by: jesusr on January 02, 2006, 10:37:39 pm
Should be fixed in LazReport CVS